@import "mixins";
//................Keyframes..............
@keyframes dots {
  0% {
    transform-origin: initial;
    .transform(translate(0,0) scale(1.2) rotate(0deg));
  }
  10% {
    transform-origin: initial;
    .transform(translate(-50px,10px) scale(1.4) rotate(5deg));
  }
  20% {
    transform-origin: initial;
    .transform(translate(50px,50px) scale(1.3) rotate(0deg));
  }
  30% {
    transform-origin: initial;
    .transform(translate(0px,100px) scale(1.2) rotate(10deg));
  }
  40% {
    transform-origin: center;
    .transform(rotate(5deg));
  }
  50% {
    .transform(translate(0,0) scale(1.2) rotate(-5deg));
  }
  60% {
    .transform(translate(25px,25px) scale(1.2) rotate(-15deg));
  }
  70% {
    .transform(translate(-25px,50px) scale(1.4) rotate(-10deg));
  }
  80% {
    .transform(translate(0px,0) scale(1.0) rotate(0));
  }
  90% {
    .transform(translate(20px,-10px) scale(1.2));
  }
  100% {
    transform-origin: initial;
    .transform(translate(0,0) scale(1.2) rotate(0deg));
  }

}


object.rotation{
  -webkit-animation-duration: 120s;
  animation-duration: 120s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-name: dots;
  animation-name: dots;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  transform-origin: 0% 0%;
  pointer-events: none;
  margin-right: -10%;
}

.clover-page{
  //................Main Section and Headers..............
  .top-section{

    .header{
      position:absolute;
      top:0;
      left: 0;
      width: 100%;
      margin: 0;
      padding: 10px 0px;

      font-size: @primary-font-size;
      background:@primary-background-color;

      -webkit-animation-duration: 0.8s;
      animation-duration: 0.8s;
      -webkit-animation-fill-mode: none;
      animation-fill-mode: none;

      @media @device-small {
        padding: 0px;
      }
      @media @device-large{
        margin:35px 0 100px;
      }


      .content {
        @media @device-medium {
          padding: 20px 50px;
        }
        @media @device-small {
          padding: 0 20px 0px;
        }
        .buttons {

          > div {
            margin: 0 10px;

            @media @device-small {
              text-align: center;
              margin: 0 5px;
            }

            .number{
              @media @device-x-small{
                display: none;
              }
            }
          }
        }
        .transparent-button{
          padding: 8px 16px;
          font-size: @primary-font-size;

          @media @device-small{
            font-size: 12px;
            padding: 8px 8px;
          }
          @media @device-x-small{
            padding: 8px 5px;
            font-size: 12px;
            > span{
              display: none;
            }
          }
          @media only all and (max-width: 360px){
            padding: 8px 0;
            border:none;
          }
        }

        .mobile-style{
          @media @device-small{
            position:fixed;
            top: 0;
            padding:15px 0;
            right:0;
            width: 100%;
            background-color: #fff;
            z-index: 99999;
          }
          div{
            @media @device-small{
              flex:1;
            }
          }
        }
      }

    }
    .introduction{
      .gradient-background(#ffffff,#e8eaeb);
      position: relative;
      width: 100%;
      overflow: hidden;
      //height:100vh;
      .background{
        position: absolute;
        top:0;
        left:0;
        width: 100%;
        height: 100%;
        z-index: 0;

        @media @device-small{
          position: relative;
        }

        #Parallax{
          img:last-child{
            transform: translate(20%, 50px);
            //transform: translateZ(-200px);
          }
          @media @device-xx-small{
            display: none;
          }
        }
        >img{
          position: absolute;
          right:15%;
          top:0;
          max-height: 100%;
          pointer-events: none;
          z-index: 1;

          @media @device-large{
            width: 48%;
            top: 27%;
            right: 3%;
          }
          @media @device-x-large{
            width: 45%;
            top: 160px;
            right: 10%;

          }
          @media @device-medium{
            width: 48%;
            top: 150px;
            right: 2%;
          }
          @media @device-small{
            position: relative;
            width:60%;
            display: block;
            margin:auto;
            top:0;
          }
          @media @device-height-medium and (min-aspect-ratio: 1/1){
            top:65px;
            right: 3%;
          }
        }
      }
      .container{
        z-index: 1;
        pointer-events: none;
        position: relative;

        @media @device-large{
        }
        @media @device-medium{
          padding:0 20px;
        }
        @media @device-small{
          text-align: center;
        }


        .content{
          @media @device-large{
            margin-top:75px;
          }
          @width : 60%;

          .title{
            .border-box();
            width: 50%;
            font-size:42px;

            @media @device-medium,@device-height-medium{
              width: 100%;
              font-size: 34px;
            }

            strong{
              font-family: @semibold-font;
            }
          }
          .subtitle{
            .border-box();
            width: @width;
            margin-top:25px;

            @media @device-medium,@device-height-medium{
              width: 100%;
              margin-top:17px;
            }
          }
          ul.list{
            text-align: left;
            margin-top:30px;
            li{
              &:before{
                margin-right: 10px;
              }
              line-height: 35px;
            }
            @media @device-small{
              width: 400px;
              margin:30px auto;
            }
            @media @device-x-small{
              width:100%;
            }
          }
          .price{
            margin-top:10px;
            span:first-child{
              font-size:42px;
              font-family: @bold-font;
            }
            span:last-child{
              font-size: 16px;
              font-family: @bold-font;
              margin-left: 5px;
              vertical-align: super;
            }
          }
          button.primary{
            padding:15px 20px;
            margin: 25px 0;
            font-size: 15px;
            pointer-events: all;
            z-index: 1;
            position: relative;
          }
          .buttons{
            width:510px;
            margin-top:40px;

            @media @device-medium{
              width: 600px;
              margin:20px auto 0;
            }
            @media @device-small{
              width: 440px;
              margin-top:20px;
            }
            @media @device-x-small{
              width: 300px;
            }
            @media @device-xx-small{
              width: 140px;
            }
            > a {
              > div {
                background-color: @primary-text-color;
                height: 105px;
                width: 157px;
                color: #fff;
                margin-top: 10px;
                padding: 10px;
                .border-radius(5px);
                .border-box();
                .transition(0.4s);


                i{
                  .transition(0.4s);
                }

                @media @device-medium{
                  width: 110px;
                  height:95px;
                }

                @media @device-small{
                  width: 135px;
                  height:95px;
                }

                @media @device-x-small{
                  width: 140px;
                  height:95px;
                }
              }
            }

            > a:not(:last-child) > div{
              margin-right:10px;
            }

            i{
              font-size:26px;
            }
          }
        }
      }
      object{
        position: absolute;
        bottom: 0;
      }
    }
  }
  //................Benefits..................
  .clover-benefits{
    .section-mobile-style();

    .subtitle{
      margin-top:40px;
      margin-bottom: 60px;
    }

    .types-container{
      .types{
        > div{
          height: auto;
          background-color: #f1f1f1;
          border:none;
          margin:10px 9px;
          width: ~"calc(33% - 18px)";

          @media @device-small{
            width: 100%;
          }
          > div:first-child{
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
          }
          &:hover{
            background-color: #fff;
          }
        }
        img{
          height: 120px;
        }
        .type-title{
          font-size:13px;
          font-family: @semibold-font;
          text-align: center;
          text-transform: uppercase;
          margin: 20px auto;
        }
        .type-detail {
          font-size: 13px;
          padding: 0 30px;

          @media @device-medium{
            padding:0 0;
          }
        }
      }
    }
    .btn{
      margin-top:30px;
    }
  }


  //................Packed With Features.....................

  .packed-with-features{
    padding:40px 0 75px;
    background-image:url("../img/packed-with-features.jpg");
    background-position: 100% 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color:#717076;
    height:480px;
    box-sizing: border-box;
    .section-mobile-style();
    position:relative;
    z-index: 1;


    @media @device-small{
      height: 560px;
      justify-content: flex-start;
      background-position: 50% 100%;
    }

    .content > div{
      background-image: url("../img/packed-with-features-text-container.svg");
      background-repeat: no-repeat;
      background-size: cover;
      color:#706F75;
      padding: 30px;
      width: 50%;
      font-size:20px;
      box-sizing: border-box;
      position: relative;
      float: right;

      @media @device-small{
        width:100%;
        padding: 20px;
        font-size:18px;
      }

      .title{
        font-size:36px;
      }
    }

  }

  //................ Key Features ..............
  .clover-key-features{
    padding:45px 0 0;
    @media @device-small{
      background-color: #f1f2f2;
      padding:45px 20px;
    }

    .title{
      font-size:42px;
      margin-bottom: 25px;
      text-align: center;
      @media @device-small{
        text-align: left;
        padding-bottom: 0;
      }
    }

    .tabs{
      margin-top:45px;
      .tab-content{
        font-family: @regular-font;
        color:#959297;

        .flex-1{
          padding:30px;
          text-align:center;

          *{
            text-align: left;
          }
          > img{
            @media @device-small{
              width:100%;
            }
          }
          .title{
            font-size:26px;
            text-transform: uppercase;
            font-family: @regular-font !important;
          }
          .subtitle{
            p{
              font-family: @light-font;
              font-size:20px;
            }
          }
        }

        .image-container{
          width:500px;
          overflow: hidden;
          margin-top: 5%;
          @media @device-medium{
            width: 400px;
          }
          @media @device-small{
            width: 100%;
            height: auto;
          }
          img{
            width: 100%;
          }
        }
        .button-container{
          padding:20px 0 40px;

          button{
            font-size:15px;
            padding:10px 25px;
          }
        }
      }
    }
  }

  //................Testimonial Section..............

  .testimonials{
    padding:40px 0 75px;
    background-image:url("../img/testimonial-bg-clover.jpg");
    background-position: 0px 30%;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color:#717076;
    height:350px;
    box-sizing: border-box;
    .section-mobile-style();
    position:relative;
    z-index: 1;

    @media @device-x-large{
      height:450px;
    }

    @media @device-small{
      height: 560px;
      background-position: 70% 20%;
      justify-content: flex-end;
    }

    .content > div{
      background-image: url("../img/testimonial-container.svg");
      background-repeat: no-repeat;
      background-size: cover;
      color:#fff;
      padding: 30px;
      width: 50%;
      font-size:22px;
      box-sizing: border-box;
      position: relative;

      @media @device-small{
        width:100%;
        padding: 20px;
        font-size:18px;

      }
    }

  }
}

// footer menu
.footer-menu-clover{
  padding:25px 0 75px;
  background-image:url("../img/footer-menu-bg.jpg");
  background-repeat: repeat-x;
  color:#fff;
  box-sizing: border-box;
  font-size: 10px;
  @media @device-medium{
    padding: 25px 20px 75px;
  }
  a{
    color:#fff;
    margin-bottom: 10px;
    margin-right: 10px;
    display:inline-block;

    &:hover{
      color:@primary-color;
    }
  }

  .subscribe-form{

    //flex: 1 0 350px;
    .border-radius(5px);
    overflow: hidden;
    height: 40px;
    @media @device-small{
      //flex: 1 0 auto;
    }

    input{
      padding: 0 15px;
      font-size: 17px;
      line-height: 40px;
      float: left;
      border-radius: 5px 0 0 5px;
      margin:0;
      width: 185px;

      @media @device-small{
        font-size:14px;
      }
      @media @device-x-small{
        font-size:11px;
      }
    }
    button{
      .border-radius(0 5px 5px 0) !important;
      padding: 0 10px;
      font-size: 15px;
      line-height: 40px;
      margin:0;
      &:hover{
        box-shadow: none;
        color: #514f52;
        background-color: #e2e2e2;
      }
      @media @device-x-small{
        font-size:12px;
      }
    }

  }

  .links{
    @media @device-small{
      margin-top:20px;
    }

  }
  .copyright{
    margin-left:50px;
    @media @device-small{
      margin:0;
      display: block;
    }
  }


  .tabs{
    &:not(.price-tabs){
      .header{
        ul{
          @media @device-small{
            margin:25px 0 0;
          }
          li{
            @media @device-small{
              margin:5px 0;
            }
            > button{
              @media @device-small{
                background-color:#fff;
                font-size: 18px;
                line-height: 15px;
                height: 50px;
                overflow: hidden;
                .border-radius(5px) !important;
                border:none !important;
                text-align: left;
                padding: 0 20px;
                position: relative;

                &:after{
                  content: "+";
                  position: absolute;
                  right: 10px;
                  font-size: 50px;
                  top: 17px;
                  color:@retail-color;
                }
              }
            }
            > .tab-content{
              display: none;
            }
            &.active{
              > .tab-content{
                display:none;
                @media @device-small{
                  display: block;
                  background: #fff;
                }
              }
            }
          }
        }
      }
    }
    .header{
      border-bottom: 2px solid #d9d9d9;
      box-shadow: inset -1px -3px 4px 2px #f5f5f5;
      ul{
        list-style: none;
        margin:25px 1% 0;
        padding:0;

        li{
          margin:0 4px -2px;
          > button{
            text-align: center;
            width: 100%;
            line-height: 50px;
            background-color:#F0F0F0;
            color:#626167;
            .border-radius(0) !important;
            .transition(all 0.4s ease);
            font-family: @regular-font;
            font-size:17px;
            text-transform: uppercase;

            @media @device-medium{
              font-size: 15px;
              padding: 15px;
              line-height: 20px;
            }
          }

          &:hover,&.active{
            > button{
              background-color: #fff;
              border:2px solid #d9d9d9;
              padding-bottom: 10px;
              border-bottom: none;
              @media @device-medium{
                padding-bottom: 22px;
              }
              @media @device-small{
                padding-bottom: 5px;
                .border-radius(5px 5px 0 0) !important;
              }
            }
          }

        }
      }
    }

    .tabs-content-container {
      .content{
        @media @device-medium{
          padding:0;
        }
        .tab-content{
          display: none;
          overflow: hidden;
          &.active{
            display: block;
          }
        }
      }
    }

  }

}